

      INCLUDE 'FGRAPH.FI'

      INCLUDE 'FGRAPH.FD'



      record/videoconfig/str

      integer*2 idum, defmode

      character*12 string



      call GETVIDEOCONFIG(str)

      write (string,'(I12)') str.mode

      if (str.mode.eq.8) then

           defmode = 7

           idum = SETVIDEOMODE(defmode)

      else if (str.mode.ge.13 .or. str.mode .eq. 6) then

           defmode = 3

           idum = SETVIDEOMODE(defmode)

      endif





      END

